import Color from "../../system/Color";
import { StiHorizontalAlignment, StiLineWeight } from "../../system/enums";
import { StiChangesInterceptor } from "../../system/interfaces";
import StiJson from "../../system/StiJson";
import { StiDescriptionSettings } from "./StiDescriptionSettings";
export declare class StiInnerTextSettings extends StiDescriptionSettings {
    changesInterceptor: StiChangesInterceptor;
    protected _backgroundColor: Color;
    protected _borderColor: Color;
    protected _checkColor: Color;
    protected _borderWeight: StiLineWeight;
    protected _contentAlignment: StiHorizontalAlignment;
    constructor(changesInterceptor: StiChangesInterceptor);
    propertyChanged(propName: string, value: any, oldObject: any): void;
    get backgroundColor(): Color;
    set backgroundColor(value: Color);
    get borderColor(): Color;
    set borderColor(value: Color);
    get checkColor(): Color;
    set checkColor(value: Color);
    get borderWeight(): StiLineWeight;
    set borderWeight(value: StiLineWeight);
    get contentAlignment(): StiHorizontalAlignment;
    set contentAlignment(value: StiHorizontalAlignment);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
}
